var newMainIndex = {

    init: function() {
// 顶部banner初始化
        $("#banner").length && $("#banner").slide({
            mainCell: ".slide-wrapper ul",
            titCell: '.slide-pagination ul',
            interTime: 5000,/*变换速度*/
            effect: 'fold',
            // 背景图片属性
            switchLoad: '_bgimg',
            // 背景图片容器
            switchLoadTag: 'a',
            autoPage: true,
            autoPlay: true
        });


    }
};
$(function() {
	/*$("#domextWrapper").html(getdomaininput(domainconfig.hot,1,10));*/
    newMainIndex.init();
})

function getdomaininput(obj_,n_,max_)
		{
			temp_="";
			for (var i=0;i<obj_.length ;i++ )
			{
				suffix=obj_[i].suffix
				obj_[i].ischeck==1?checked_='checked="checked"':checked_='';
				obj_[i].ischeck==1?checkedclass_='class="checked"':checkedclass_='';
				i_msg=''
				switch (obj_[i].property+"")
				{
					case "1":
						i_msg='<i class="icon promotion"></i>';
						break
					case "2":
						i_msg='<i class="icon hot"></i>';
						break
					case "3":
						i_msg='<i class="icon new"></i>';
						break
				} 
				if (i>max_)
				{
					checkedclass_='class="collapsed-domain"'
				}
			  temp_+=' <label '+checkedclass_+'  for="label_for_'+n_+'_'+i+'"><input name="suffix"  '+checked_+'  value="'+suffix+'" type="checkbox" common-use="'+obj_[i].ischeck+'" id="label_for_'+n_+'_'+i+'">'+suffix+' '+i_msg+'</label>';
			}

			return temp_;		
		}